summaryrefslogtreecommitdiff
path: root/debian/postgresql-10.preinst
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2017-10-08 17:22:04 +0300
committerIgor Pashev <pashev.igor@gmail.com>2017-10-08 17:22:18 +0300
commitfd8148250c8c46fac04277e7a07f8dd2908dd477 (patch)
treee4ba2001706d8ca09dc38cfa0fdf73eec0e17d97 /debian/postgresql-10.preinst
downloadpostgresql-10-debian.tar.gz
Imported postgresql-10 10.0-1debian/10.0-1debian
Diffstat (limited to 'debian/postgresql-10.preinst')
-rw-r--r--debian/postgresql-10.preinst18
1 files changed, 18 insertions, 0 deletions
diff --git a/debian/postgresql-10.preinst b/debian/postgresql-10.preinst
new file mode 100644
index 0000000..a1bccbc
--- /dev/null
+++ b/debian/postgresql-10.preinst
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+MAJOR_VER="${DPKG_MAINTSCRIPT_PACKAGE#postgresql-}"
+CATVERSION="@CATVERSION@" # set by override_dh_installdeb
+
+case $1 in
+ install|upgrade)
+ if [ "$2" ]; then
+ . /usr/share/postgresql-common/maintscripts-functions
+ preinst_check_catversion "$MAJOR_VER" "$CATVERSION"
+ fi ;;
+esac
+
+#DEBHELPER#
+
+exit 0